%define _requires_exceptions pear(I18N/UnicodeString/Exception.php)
%define upstream_name I18N_UnicodeString
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.0
Release:     	%mkrel 2
Summary:    	Provides a way to work with self contained multibyte strings
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/I18N_UnicodeString-%{version}.tgz
URL: 		http://pear.php.net/package/I18N_UnicodeString
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Provides a method of storing and manipulating multibyte strings in PHP
without using ext/mbstring. Also allows conversion between various methods
of storing Unicode in 8 byte strings like UTF-8 and HTML entities.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/I18N_UnicodeString.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/I18N_UnicodeString.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/I18N_UnicodeString
fi

%files
%defattr(-,root,root)
%doc docs/I18N_UnicodeString/*
%{peardir}/*
%{xmldir}/I18N_UnicodeString.xml


%changelog

* Thu Mar 08 2012 spuhler <spuhler> 0.3.0-2.mga2
+ Revision: 221401
- added _requires_exceptions pear(I18N/UnicodeString/Exception.php)

* Tue Mar 06 2012 spuhler <spuhler> 0.3.0-1.mga2
+ Revision: 219566
- upgrade to 0.3.0
  pearized spec

* Fri Jan 28 2011 spuhler <spuhler> 0.2.1-6.mga1
+ Revision: 42684
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-I18N_UnicodeString

